# Setup for CTAP - UFCFQN-30-0 

To take part in the Computational Thinking and Practice (CTAP) module, there are a few things we must first setup on our machines. 
For refernce, these are:

- [ ] Python Installation
  - [ ] VS Code
  - [ ] Install Extension: Python
  - [ ] Install Extension: Markdown Preview Enhanced

- [ ] Download `ctap-portfolio` 
  - [ ] Configure backup/ file sync for portfolio files

> Note: VS Code and Python will be available on UWE machines

# Python Installation

Installing python is dependent on the platform you are on however in general this is fairly easy. The best approach is to follow the recommended method from the following site provides a comprehensive guide for each platform:

https://realpython.com/installing-python/

> Important: We will be working with python 3, meaning it is important to ensure that you have installed a version that is 3.0.0 or greater.

# VS Code Installation

VS Code is a code editor that is cross-platform and supports programming in many different languages. (It is also referred to as Visual Studio Code - though this is notably different to the program called 'Visual Studio' - Confusing I know 🙈).

We will be using VS Code as our primary tool on this module and getting familiar with it will be valuable for many other modules and tasks in the future.

To install VS Code for your platform you should install it from here:

https://code.visualstudio.com/


## Extensions

We can start installing the correct extensions and ensuring python is correctly configured by following this guide:

https://code.visualstudio.com/docs/python/python-tutorial

From here we can also search for 'Markdown Preview Enhanced' in the [extensions tab](https://code.visualstudio.com/docs/editor/extension-marketplace), found on the left, or via the shortcut: (ctrl+shift+X) or (cmd+shift+X) on a mac.

# `ctap-portfolio`

The ctap-portfolio is a collection of files in a folder/directory called `ctap-portfolio`.

Importantly, this folder contains another folder called `portfolio` which is the template for the report and code you must submit for assessment. This is the folder that should be zipped and submitted via blackboard.

The other folders in the `ctap-portfolio` project, are for working on in your lectorials and practicals.

This folder can be downloaded from blackboard under the **Assessment** tab, or directly from this link:

https://blackboard.uwe.ac.uk/bbcswebdav/pid-10117648-dt-content-rid-41950877_2/xid-41950877_2

You should ensure that you setup up Onedrive (or your own personal system), to synchronise this folder and back it up to a remote location. The loss of work cannot is always unfortunate but can be avoided - this is not an excuse when it comes to submit!

You are provided free One drive storage as part of your student account. A guide for this is provided here: https://www.uwe.ac.uk/study/it-services/data-storage#onedrive

Note that we do not recommend storing these files on an external hard drive without cloud sync - ***Hard drives can and regularly do fail!***

